RetrospectiveSteps
Creates a retrospective step
Creates a new retrospective step from provided data
POST
/
v1
/
retrospective_processes
/
{retrospective_process_id}
/
retrospective_steps
Creates a retrospective step
curl --request POST \
--url https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_after_days": 123,
"incident_role_id": "<string>",
"position": 123,
"skippable": true
}
}
}
'import requests
url = "https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps"
payload = { "data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_after_days": 123,
"incident_role_id": "<string>",
"position": 123,
"skippable": True
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'retrospective_steps',
attributes: {
title: '<string>',
description: '<string>',
due_after_days: 123,
incident_role_id: '<string>',
position: 123,
skippable: true
}
}
})
};
fetch('https://api.rootly.com/v1/retrospective_processes/{retrospective_process_id}/retrospective_steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "retrospective_steps",
"attributes": {
"retrospective_process_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a retrospective step
